6.0.0-git
2021-01-19

[#7816] adding vcard does not respect charset
Summary adding vcard does not respect charset
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester dom.lalot (at) gmail (dot) com
Created 2008-12-30 (4403 days ago)
Due
Updated 2009-01-29 (4373 days ago)
Assigned 2009-01-04 (4398 days ago)
Resolved 2009-01-29 (4373 days ago)
Milestone
Patch No

History
2009-01-29 11:54:12 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
Fixed for Horde 3.3.4.
2009-01-29 11:53:04 Jan Schneider Version ⇒ FRAMEWORK_3
Queue ⇒ Horde Framework Packages
 
2009-01-04 03:40:21 Chuck Hagenbuch Assigned to Jan Schneider
State ⇒ Assigned
 
2008-12-30 17:06:20 dom (dot) lalot (at) gmail (dot) com Comment #5
New Attachment: vcardjeff.eml Download
Reply to this comment
Can you upload the full message?
Yes, here it is


2008-12-30 16:38:44 Jan Schneider Comment #4 Reply to this comment
Can you upload the full message?
2008-12-30 16:34:28 dom (dot) lalot (at) gmail (dot) com Comment #3 Reply to this comment
How do you add the vCard?
Hello Jan,



I Click in dimp url over vcf



then I get a window



http://hordetest.univ.fr/horde/imp/view.php?popup_view=1&mailbox=INBOX&index=24191&actionID=view_attach&id=2&mimecache=9e037cce372b35df9a229eb881dfa6e3



And then click on "Add to my address book"



<form action="/horde/imp/view.php" method="get" name="vcard_import">



Dom
2008-12-30 10:14:55 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
How do you add the vCard?
2008-12-30 08:29:29 dom (dot) lalot (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ adding vcard does not respect charset
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
The following vcard is successfully added, but then, going to turba, 
we get special characters as a bad utf8 translation.

Mysql database is using default latin1_swedish_ci interclassement



object_firstname:

Jean-François



When adding such entries manually in turba, it works well







Content-Type: text/x-vcard; charset=utf-8;

  name="jean-francois_alber.vcf"

Content-Transfer-Encoding: 7bit

Content-Disposition: attachment;

  filename="jean-francois_alber.vcf"



begin:vcard

fn;quoted-printable:Jean-Fran=C3=A7ois Alber

n;quoted-printable:Alber;Jean-Fran=C3=A7ois

org:;CISC

adr;dom:;;;Marseille;;13012

email;internet:jean-francois.alber@univ.fr

title:Technicien

tel;work:0491000000

x-mozilla-html:TRUE

version:2.1

end:vcard




Saved Queries